Add Members Bulk
POST
https://x.kupe.in
/
v1
/
recipient-lists
/
{list_id}
/
members:bulk
Add Members Bulk
import requests
url = "https://x.kupe.in/v1/recipient-lists/{list_id}/members:bulk"
payload = { "members": [
{
"phone_number": "<string>",
"phone": "<string>",
"variables": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({members: [{phone_number: '<string>', phone: '<string>', variables: {}}]})
};
fetch('https://x.kupe.in/v1/recipient-lists/{list_id}/members:bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://x.kupe.in/v1/recipient-lists/{list_id}/members:bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"members": [
{
"phone_number": "<string>",
"phone": "<string>",
"variables": {}
}
]
}
'{
"inserted": 123,
"member_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
⌘I
Add Members Bulk
import requests
url = "https://x.kupe.in/v1/recipient-lists/{list_id}/members:bulk"
payload = { "members": [
{
"phone_number": "<string>",
"phone": "<string>",
"variables": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({members: [{phone_number: '<string>', phone: '<string>', variables: {}}]})
};
fetch('https://x.kupe.in/v1/recipient-lists/{list_id}/members:bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://x.kupe.in/v1/recipient-lists/{list_id}/members:bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"members": [
{
"phone_number": "<string>",
"phone": "<string>",
"variables": {}
}
]
}
'{
"inserted": 123,
"member_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
